Export workflow

Exports a single Workflow.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

request body
optionsanyOptional

Response

Exported Workflow
namestring
typestringDefaults to automation
tasksobject
transitionsobject
groupslist of objects
_idstringformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
uuidstringformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
descriptionstring or null
namespaceobject or null
preAutomationTimeinteger

Time (milliseconds) automation would have taken someone to complete without using IAP.

slainteger
metadataobject

Deprecated. If present, preAutomationTime and sla are lifted to the top level on import; this property is not persisted.

scenarioslist of objects
errorHandlerobject or null

Deprecated gen2-specific feature

font_sizeinteger6-24Defaults to 12

Deprecated, unused, gen1-specific feature

createdstringformat: "date-time"
created_byobject or string
createdVersionstring
last_updatedstringformat: "date-time"
last_updated_byobject or string
lastUpdatedVersionstring

This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.

tagslist of objects
canvasVersionenum
encodingVersionenum
inputSchemaobject
outputSchemaobject
outputDatamap from strings to objects

Deprecated gen2-specific feature

decoratorslist of objects
migrationVersioninteger>=0

Errors

500
Internal Server Error